package dev.shadowsoffire.apotheosis.adventure.affix.salvaging;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import dev.shadowsoffire.apotheosis.Apoth;
import java.util.List;
import net.minecraft.core.RegistryAccess;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.Container;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.crafting.Recipe;
import net.minecraft.world.item.crafting.RecipeSerializer;
import net.minecraft.world.item.crafting.RecipeType;
import net.minecraft.world.level.Level;

public class SalvagingRecipe implements Recipe<Container> {
  protected final ResourceLocation id;
  
  protected final Ingredient input;
  
  protected final List<OutputData> outputs;
  
  public SalvagingRecipe(ResourceLocation id, List<OutputData> outputs, Ingredient input) {
    this.id = id;
    this.outputs = outputs;
    this.input = input;
  }
  
  public boolean matches(ItemStack stack) {
    return this.input.test(stack);
  }
  
  public Ingredient getInput() {
    return this.input;
  }
  
  public List<OutputData> getOutputs() {
    return this.outputs;
  }
  
  public ResourceLocation m_6423_() {
    return this.id;
  }
  
  public RecipeSerializer<?> m_7707_() {
    return (RecipeSerializer<?>)Serializer.INSTANCE;
  }
  
  public RecipeType<?> m_6671_() {
    return Apoth.RecipeTypes.SALVAGING;
  }
  
  @Deprecated
  public ItemStack m_8043_(RegistryAccess regs) {
    return ItemStack.f_41583_;
  }
  
  @Deprecated
  public boolean m_5818_(Container pContainer, Level pLevel) {
    return false;
  }
  
  @Deprecated
  public ItemStack m_5874_(Container pContainer, RegistryAccess regs) {
    return ItemStack.f_41583_;
  }
  
  @Deprecated
  public boolean m_8004_(int pWidth, int pHeight) {
    return false;
  }
}
